## arcconf 4.26.00.27449~20250812191045.58%2Bbullseye

=== debian/changelog ===
arcconf (4.26.00.27449~20250812191045.58+bullseye) unstable; urgency=medium

  [ Mario Fetka ]
  * new integrated version
  * add old 7.31 version of arcconf for compatiility
  * add old version 4.30 for compatibility
  * Bump to 2.06
  * Bump to 3.00
  * add missing 3.00 to package
  * Bump to 3.01
  * Bump to 3.02
  * Bump to 3.03

  [ root ]
  * Bump to 4.26.00.27449

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 4.26.00.27449 via jenkins-debian-
    glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Tue, 12 Aug 2025 21:10:45 +0200

arcconf (2.05.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * new integrated version

 -- Mario Fetka <mario.fetka@gmail.com>  Tue, 31 Oct 2017 17:14:13 +0100

arcconf (2.02.22404-1) unstable; urgency=low

  * Initial release.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 20 Mar 2014 09:00:00 +0200
