## arcconf 4.26.00.27449~20250812191137.58%2Bbookworm

=== debian/changelog ===
arcconf (4.26.00.27449~20250812191137.58+bookworm) unstable; urgency=medium

  [ Mario Fetka ]
  * new integrated version
  * add old 7.31 version of arcconf for compatiility
  * add old version 4.30 for compatibility
  * Bump to 2.06
  * Bump to 3.00
  * add missing 3.00 to package
  * Bump to 3.01
  * Bump to 3.02
  * Bump to 3.03

  [ root ]
  * Bump to 4.26.00.27449

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 4.26.00.27449 via jenkins-debian-
    glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Tue, 12 Aug 2025 21:11:37 +0200
