=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


clean:
	dh_testdir
	dh_testroot
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
ifeq ($(DEB_BUILD_ARCH),amd64)
	install -D -m 0755 debian/arcconf.wrapper64 \
			   debian/arcconf/usr/sbin/arcconf
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" amd64/centos5/libstdc++.so.6.0.8
	install -D -m 0755 amd64/centos5/libstdc++.so.6.0.8 \
			   debian/arcconf/usr/lib/arcconf/libstdcv4.so.6.0.8
	ln -s libstdcv4.so.6.0.8 debian/arcconf/usr/lib/arcconf/libstdcv4.so.6
	install -D -m 0755 amd64/4.26/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-4.26
	install -D -m 0755 amd64/4.23/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-4.23
	install -D -m 0755 amd64/3.07/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-3.07
	install -D -m 0755 amd64/3.03/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-3.03
	install -D -m 0755 amd64/3.02/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-3.02
	install -D -m 0755 amd64/3.01/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-3.01
	install -D -m 0755 amd64/3.00/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-3.00
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" amd64/2.06/arcconf
	install -D -m 0755 amd64/2.06/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-2.06
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" amd64/2.05/arcconf
	install -D -m 0755 amd64/2.05/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-2.05
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" amd64/2.04/arcconf
	install -D -m 0755 amd64/2.04/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-2.04
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" amd64/2.03/arcconf
	install -D -m 0755 amd64/2.03/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-2.03
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" amd64/2.02/arcconf
	install -D -m 0755 amd64/2.02/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-2.02
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" amd64/2.01/arcconf
	install -D -m 0755 amd64/2.01/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-2.01
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" amd64/2.00/arcconf
	install -D -m 0755 amd64/2.00/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-2.00
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" amd64/1.08/arcconf
	install -D -m 0755 amd64/1.08/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-1.08
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" amd64/1.07/arcconf
	install -D -m 0755 amd64/1.07/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-1.07
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" amd64/1.06/arcconf
	install -D -m 0755 amd64/1.06/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-1.06
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" amd64/1.05/arcconf
	install -D -m 0755 amd64/1.05/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-1.05
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" amd64/1.04/arcconf
	install -D -m 0755 amd64/1.04/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-1.04
	sed -i "s/libstdc++.so.5/libstdcv3.so.5/g" amd64/7.31/libstdc++.so.5
	install -D -m 0755 amd64/7.31/libstdc++.so.5 \
			   debian/arcconf/usr/lib/arcconf/libstdcv3.so.5
	sed -i "s/libstdc++.so.5/libstdcv3.so.5/g" amd64/7.31/arcconf
	install -D -m 0755 amd64/7.31/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-7.31
	install -D -m 0755 i386/4.30/libstdc++-libc6.2-2.so.3 \
			   debian/arcconf/usr/lib/arcconf/libstdc++-libc6.2-2.so.3
	install -D -m 0755 amd64/4.30/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-4.30
endif
ifeq ($(DEB_BUILD_ARCH),i386)
	install -D -m 0755 debian/arcconf.wrapper32 \
			   debian/arcconf/usr/sbin/arcconf
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" i386/centos5/libstdc++.so.6.0.8
	install -D -m 0755 i386/centos5/libstdc++.so.6.0.8 \
			   debian/arcconf/usr/lib/arcconf/libstdcv4.so.6.0.8
	ln -s libstdcv4.so.6.0.8 debian/arcconf/usr/lib/arcconf/libstdcv4.so.6
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" i386/2.01/arcconf
	install -D -m 0755 i386/2.01/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-2.01
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" i386/2.00/arcconf
	install -D -m 0755 i386/2.00/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-2.00
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" i386/1.08/arcconf
	install -D -m 0755 i386/1.08/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-1.08
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" i386/1.07/arcconf
	install -D -m 0755 i386/1.07/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-1.07
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" i386/1.06/arcconf
	install -D -m 0755 i386/1.06/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-1.06
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" i386/1.05/arcconf
	install -D -m 0755 i386/1.05/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-1.05
	sed -i "s/libstdc++.so.6/libstdcv4.so.6/g" i386/1.04/arcconf
	install -D -m 0755 i386/1.04/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-1.04
	sed -i "s/libstdc++.so.5/libstdcv3.so.5/g" i386/7.31/libstdc++.so.5
	install -D -m 0755 i386/7.31/libstdc++.so.5 \
			   debian/arcconf/usr/lib/arcconf/libstdcv3.so.5
	sed -i "s/libstdc++.so.5/libstdcv3.so.5/g" i386/7.31/arcconf
	install -D -m 0755 i386/7.31/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-7.31
	install -D -m 0755 i386/4.30/libstdc++-libc6.2-2.so.3 \
			   debian/arcconf/usr/lib/arcconf/libstdc++-libc6.2-2.so.3
	install -D -m 0755 i386/4.30/arcconf \
			   debian/arcconf/usr/lib/arcconf/arcconf-4.30
endif
	dh_install

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_strip
	dh_installdeb
	LD_LIBRARY_PATH=$$(pwd)/debian/arcconf/usr/lib/arcconf:$${LD_LIBRARY_PATH} dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install
